Bug 143572 - Crash clicking Shape 2 Text Frame
Summary: Crash clicking Shape 2 Text Frame
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.2.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:7.3.0 target:7.2.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2021-07-28 04:15 UTC by Telesto
Modified: 2021-08-12 22:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
gdb bt (8.98 KB, text/plain)
2021-07-28 07:21 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-07-28 04:15:55 UTC
Description:
Crash clicking Shape 2 Text Frame

Steps to Reproduce:
1. Open Impress
2. Cancel the wizard
3. Activate Sidebar -> Navigator deck
4. Click inside "Click to add title" frame
5. Double click "Shape 2" in the navigator

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 2a151d1d5bc055d5e0011460b6ec42ea9f34f880
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2021-07-28 04:19:14 UTC
Found in
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 066599203ce143b3614e0fa298a05ed28ba2ca63
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

feature didn't exist in older versions
Comment 2 Telesto 2021-07-28 04:20:54 UTC
@Julien
You might find this one interesting to solve yourself.. [else we stick with a BT]
Comment 3 BogdanB 2021-07-28 05:36:00 UTC
Confirm with
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 612d5b1a04fe022a34018d901bb9b052791d54e5
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded

It's crashing after the last step.
Comment 4 Julien Nabet 2021-07-28 07:21:34 UTC
Created attachment 173903 [details]
gdb bt

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 5 Julien Nabet 2021-07-28 07:53:14 UTC
My bt is about an assertion, if I remove this assertion, I've got an assertion later:
#4  0x00007f10d210c1e7 in ImpEditEngine::~ImpEditEngine() (this=0x79ec4f0) at editeng/source/editeng/impedit2.cxx:181
#5  0x00007f10d210c6ec in ImpEditEngine::~ImpEditEngine() (this=0x79ec4f0) at editeng/source/editeng/impedit2.cxx:166
#6  0x00007f10d206424f in std::default_delete<ImpEditEngine>::operator()(ImpEditEngine*) const (this=0x79ec468, __ptr=0x79ec4f0)
    at /usr/bin/../lib/gcc/x86_64-linux-gnu/10/../../../../include/c++/10/bits/unique_ptr.h:85
#7  0x00007f10d205b66d in std::unique_ptr<ImpEditEngine, std::default_delete<ImpEditEngine> >::~unique_ptr() (this=0x79ec468)
    at /usr/bin/../lib/gcc/x86_64-linux-gnu/10/../../../../include/c++/10/bits/unique_ptr.h:361
#8  0x00007f10d204c5df in EditEngine::~EditEngine() (this=0x79ec460) at editeng/source/editeng/editeng.cxx:97
#9  0x00007f10d22aeb11 in OutlinerEditEng::~OutlinerEditEng() (this=0x79ec460) at editeng/source/outliner/outleeng.cxx:39
#10 0x00007f10d22aeb3c in OutlinerEditEng::~OutlinerEditEng() (this=0x79ec460) at editeng/source/outliner/outleeng.cxx:38
#11 0x00007f10d22c7d4f in std::default_delete<OutlinerEditEng>::operator()(OutlinerEditEng*) const (this=0x79ec128, __ptr=0x79ec460)
    at /usr/bin/../lib/gcc/x86_64-linux-gnu/10/../../../../include/c++/10/bits/unique_ptr.h:85
#12 0x00007f10d22c8503 in std::__uniq_ptr_impl<OutlinerEditEng, std::default_delete<OutlinerEditEng> >::reset(OutlinerEditEng*) (this=0x79ec128, __p=0x0)
    at /usr/bin/../lib/gcc/x86_64-linux-gnu/10/../../../../include/c++/10/bits/unique_ptr.h:182
#13 0x00007f10d22c0efd in std::unique_ptr<OutlinerEditEng, std::default_delete<OutlinerEditEng> >::reset(OutlinerEditEng*) (this=0x79ec128, __p=0x0)
    at /usr/bin/../lib/gcc/x86_64-linux-gnu/10/../../../../include/c++/10/bits/unique_ptr.h:456
#14 0x00007f10d22bbddc in Outliner::~Outliner() (this=0x79ec0b0) at editeng/source/outliner/outliner.cxx:1289
#15 0x00007f10ce893b21 in SdrOutliner::~SdrOutliner() (this=0x79ec0b0) at svx/source/svdraw/svdoutl.cxx:37
#16 0x00007f10ce893b4c in SdrOutliner::~SdrOutliner() (this=0x79ec0b0) at svx/source/svdraw/svdoutl.cxx:36
#17 0x00007f10ce6a1ea3 in SdrObjEditView::SdrEndTextEdit(bool) (this=0x38d7e10, bDontDeleteReally=false) at svx/source/svdraw/svdedxv.cxx:1640
#18 0x00007f10bc45eff1 in sd::View::SdrEndTextEdit(bool) (this=0x38d7e10, bDontDeleteReally=false) at sd/source/ui/view/sdview.cxx:747
#19 0x00007f10bc3d9f44 in sd::DrawViewShell::ExecCtrl(SfxRequest&) (this=0x38b35e0, rReq=...) at sd/source/ui/view/drviews3.cxx:130

No idea how to fix this, can't help here.
Comment 6 Telesto 2021-07-28 09:03:08 UTC
@Jim
You're the Sidebar/ Navigator expert in my perception.. So maybe something for you?
Comment 7 Aron Budea 2021-07-31 00:52:55 UTC
This is actually a regression from the following commit, bibisected using repo bibisect-linux-64-7.2.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f0878173e1963cf8db5f60ced6d19da24e18bc41
author		Jim Raykowski <raykowj@gmail.com>	2020-12-01 00:25:52 -0900
committer	Jim Raykowski <raykowj@gmail.com>	2020-12-03 21:38:48 +0100

"tdf#34828 sd navigator: make unnamed shape select select shape object"

For the record, the shapes started showing up in the navigator from the commit below, which precedes the previous one by 2 or so commits.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=70fd160ea0c2a2afeee520f450f1ed4f81fa88f3
author		Jim Raykowski <raykowj@gmail.com>	2020-12-01 00:02:25 -0900
committer	Jim Raykowski <raykowj@gmail.com>	2020-12-03 21:36:33 +0100

"tdf#34828 sd navigator: make 'All shapes' the default"
Comment 8 Commit Notification 2021-08-08 19:24:55 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/18004b707d2cb92ab88923138d72c5ca1b03301c

tdf#143572 Restore enable undo setting immediatly after object name

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-08-09 13:29:46 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/64919f64f5da1ac149b5a0e1079ea8fd2299c574

tdf#143572 Restore enable undo setting immediatly after object name

It will be available in 7.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-08-10 11:39:06 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-2-0":

https://git.libreoffice.org/core/commit/c52e48d3d79c41fa3febbbd82f5ae69ff885b1e7

tdf#143572 Restore enable undo setting immediatly after object name

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 BogdanB 2021-08-11 05:25:09 UTC
No crash in
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: c97bdca2d7abf30a99c45192b8f49c5bf76ca035
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded